DisplayTrace(" / .  - Kristallagent,  - Diter Mal");

-- Missionsziel: Russischer Panzerzug soll unversehrt nach Westen geschafft werden.

-- Uebersicht der Script-id'a:
--
--
-- id=20	Zu entfhrender Eisenbahnzug
-- id=2		Verstrkung fr Russen (Patroullienfahrzeug)
-- id=3		Verstrkung fr Russen (Patroullienfahrzeug) 
-- id=4  	Russische Verstrkung fr sued1 (Infanterie)
-- id=5  	Russische Verstrkung fr sued1 (Panzer)
-- id=6  	Russische Verstrkung fr suedweat1 (Infanterie)
-- id=7  	Russische Verstrkung fr suedweat1 (Panzer)
-- id=8		Russische Verstrkung fr nordwest1 (Infanterie)
-- id=9		Russische Verstrkung fr nordwest1 (Panzer)
-- id=50	Deutsche Verstrkung Panzer
-- id=51	Deutsche Verstrkung Infanterie
-- id=30	Russische stehende Panzer fr spteren Ausfall
-- id=31	Russische Inf in Husern fr spteren Ausfall
-- id=40	Russische stehende Panzer fr spteren Ausfall
-- id=41	Russische Inf in Husern fr spteren Ausfall

-- Zonen:
-- sued1, suedwest1. nordwest1




---------------------------------------------------------------
-- Russische Verstrkung nach sued1, sobald deutsche da sind --
---------------------------------------------------------------

function Sued1()
  local a = GetNUnitsInArea(0, "sued1");
  if a > 0 then
     -- DisplayTrace("sued1: Russen greifen an");
     LandReinforcement(4);
     LandReinforcement(5);
     LandReinforcement(4);
     -- LandReinforcement(50);
     LandReinforcement(50);
     -- LandReinforcement(51);
     LandReinforcement(51);
     Suicide();
  end;
end;

-------------------------------------------------------------------
-- Verstrkung beide, sobald deutsche in suedwest1 sind          --
-------------------------------------------------------------------

function Suedwest1()
  local b = GetNUnitsInArea(0, "suedwest1");
  if b > 0 then
     -- DisplayTrace("Suedwestw1: Russen greifen an");
     LandReinforcement(6);
     LandReinforcement(6);
     LandReinforcement(7);
     LandReinforcement(7);
     -- LandReinforcement(50);
     LandReinforcement(50);
     LandReinforcement(51);
     -- LandReinforcement(51);
     -- LandReinforcement(51);
     -- LandReinforcement(51);
     Suicide();
  end;
end;

--------------------------------
-- pruefen der Zone nordwest1 --
--------------------------------
function Nordwest1()
   local c = GetNUnitsInArea(0, "nordwest1");
   if c > 0 then
      -- DisplayTrace("Nordwest1: Russen greifen an");
      LandReinforcement(8);
      LandReinforcement(8);
      LandReinforcement(8);
      LandReinforcement(9);
      LandReinforcement(9);
      LandReinforcement(50);
      LandReinforcement(51);
      Suicide();
   end;
end;

------------------------
-- holen Missionsziel --
------------------------
function Holeziel()
  if (GetIGlobalVar("temp.panzerzug.objective.0", 0) == 0) then
     ObjectiveChanged(0, 0);
     Suicide();
  end;
end;

-------------------------------------
-- Verstrkung id=2 wird geschickt --
-------------------------------------
function V2()
  LandReinforcement(2);
end;

-----------------------------------------
-- id=2 patroulliert zw. ziel zu start --
-----------------------------------------
function Patrol2()
  local id2ziel = GetNScriptUnitsInArea(2, "ziel");
  local id2start = GetNScriptUnitsInArea(2, "start");
  if id2ziel > 0 then
     Cmd(3, 2, 1560, 7972);
  end;
  if id2start > 0 then
     Cmd(3, 2, 879, 279);
  end;
end;  

-------------------------
-- bernehmen des Zugs --
-------------------------
function AlesZug()
if (GetNUnitsInScriptGroup(20, 0) < 1) then
Loose(0);
Suicide();
end;
end;

function Zug()
  local amzug = GetNUnitsInArea(0, "zug");
  if amzug > 0 then
     ChangePlayer(20, 0);
     -- LandReinforcement(50);
     -- LandReinforcement(51);
     RunScript("Finale1", 100000, 1);
     RunScript("AlesZug", 1000);
     Suicide();
  end;
end;

-------------------------------------------------------
-- Gegenangriff des Feindes nach bernahme des Zuges --
-------------------------------------------------------
function Finale1()
  LandReinforcement(6);
  LandReinforcement(7);
  LandReinforcement(8);
  LandReinforcement(9);
end;


----------------------
-- Mission gewonnen --
----------------------

function Gewonnen()
  if (GetNScriptUnitsInArea(20, "ziel") > 0) then
     DisplayTrace(" -  /    !");
     Win(0);
  end;
end;


function Ales()
if ( GetNUnitsInParty(0) < 1) then
Loose(0);
Suicide();
end;
end;
------------------------
-- Steuerungsfunktion --
------------------------

function Init()
  RunScript("Patrol2", 1000, 1);		-- Russische Patroullie
  RunScript("Holeziel", 1000, 1);		-- Missionsziel anzeigen
  RunScript("Ales", 1000);
  RunScript("Gewonnen", 1000);			-- Mission gewonnen?
  RunScript("V2", 300000, 10);			-- Verstrkung V2 alle 5 min.
  RunScript("Sued1", 1000);			-- deutsche in sued1?
  RunScript("Suedwest1", 1000);			-- deutsche in suedwest1?
  RunScript("Nordwest1", 1000);			-- deutsche in nordwest1?
  RunScript("Zug", 1000);			-- Zug erobert?
end;
